# $Revision: 1.18 $, $Date: 2010/11/17 06:26:42 $
Summary:	Screen Fixed Cyrillic font
Summary(pl.UTF-8):	Font Screen Fixed w cyrylicy
Name:		xorg-font-font-screen-cyrillic
Version:	1.0.4
Release:	1
License:	MIT
Group:		Fonts
Source0:	http://xorg.freedesktop.org/releases/individual/font/font-screen-cyrillic-%{version}.tar.bz2
# Source0-md5:	6f3fdcf2454bf08128a651914b7948ca
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	xorg-app-bdftopcf
BuildRequires:	xorg-app-mkfontdir
BuildRequires:	xorg-app-mkfontscale
BuildRequires:	xorg-font-font-util >= 1.2
BuildRequires:	xorg-util-util-macros >= 1.3
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/cyrillic
# contains useful aliases for these fonts
Requires:	xorg-font-font-alias >= 1.0.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Screen Fixed Cyrillic font.

%description -l pl.UTF-8
Font Screen Fixed w cyrylicy.

%prep
%setup -q -n font-screen-cyrillic-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--build=%{_host} \
	--host=%{_host} \
	--with-fontdir=%{_fontsdir}/cyrillic

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# fonts.scale bogus, fonts.dir generated in post
rm -f $RPM_BUILD_ROOT%{_fontsdir}/cyrillic/fonts.{dir,scale}

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst cyrillic

%postun
fontpostinst cyrillic

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%{_fontsdir}/cyrillic/screen*.pcf.gz

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-font-font-screen-cyrillic.spec,v $
Revision 1.18  2010/11/17 06:26:42  qboosh
- updated to 1.0.4

Revision 1.17  2010/10/07 06:43:27  qboosh
- updated to 1.0.3

Revision 1.16  2009/10/20 04:51:11  qboosh
- --build/--host compatible with rpm both 4.4/4.5
- util-macros version, BR: font-util
- added README to doc

Revision 1.15  2009/10/12 19:19:27  arekm
- up to 1.0.2

Revision 1.14  2007/10/21 14:00:25  megabajt
- BA: noarch
- release 3

Revision 1.13  2007/04/30 17:22:17  qboosh
- R: font-alias (with some -screen-fixed-* entries)

Revision 1.12  2007/04/01 19:19:15  qboosh
- informative descriptions
- kill empty fonts.scale for non-scalable fonts
- release 2

Revision 1.11  2007/02/19 00:16:22  baggins
- release 1
- resolve conflict by rebuilding fonts.{dir,scale} in post

Revision 1.10  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.8  2006/12/04 13:02:54  arekm
- rel 0.2

Revision 1.7  2006/11/09 10:49:04  qboosh
- updated to 1.0.1

Revision 1.6  2006/01/04 11:49:18  qboosh
- 1.0.0 (X11R7.0 release)

Revision 1.5  2005/12/06 08:55:49  qboosh
- 0.99.1 (X11R7.0-RC3)
- use system fonts infrastructure

Revision 1.4  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.3  2005/08/27 18:42:17  qboosh
- cleanups, better Group; TODO: use PLD fonts infrastructure

Revision 1.2  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Tue Aug  9 2005 15:23:20  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
